[Frage] Uralte Typo3 Seite lokal zum Laufen kriegen TYPO3-Version: 4.4.9

  • kuki-design kuki-desi...
    Jar Jar Binks
    0 x
    1 Beiträge
    0 Hilfreiche Beiträge
    26. 08. 2020, 10:52

    Hallo zusammen,

    ich bin, was Typo3 angeht, leider ein absoluter Einsteiger.
    Ich bin Webdesigner und habe von einem Kunden einen Hilferuf erhalten. Eine Webseite ist offline, weil "der Server abgeschalten" wurde.
    Als ich mir das Backup, was er mir gesendet hatte, angesehen habe, habe ich feststellen müssen, dass es eine Typo3 Version 4.4.9 ist und mit PHP 5 läuft. Ich geh ganz stark davon aus, dass der Server die PHP Version nicht mehr unterstützen wird (bzw. will) und sie deshalb nicht mehr läuft.

    Nun würde ich sie wenigstens lokal zum Laufen kriegen. Aber daran scheitere ich.
    Ich habe MAMP installiert, konnte eine neue und eine alte Typo3 Installation absolvieren und auch die PHP Version von MAMP anpassen, dass ich PHP5 nutzen kann.

    Die localconf.php habe ich soweit angepasst, dass ich die DB Angaben geändert habe.
    Ich habe in der Datenbank auch den Domainpfad angepasst, ich glaube aber, dass hier der Fehler liegt, da ich dazu wenig Informationen gefunden habe.

    Wenn ich die sql-Datei in Visual Code öffne, finde ich unter "LOCK TABLES 'cache_hash' WRITE" folgenden Pfad:
    /var/www/domain-name.de/web/typo3/*

    Ist dies der Pfad, der angepasst werden muss?
    Wenn ja, wie lautet er?
    Ich bin mit lokalen Installationen leider nicht vertraut.

    Ich kann die Installation/Einrichtung auch auf PC vornehmen, sollte es einfacher sein.

    Vielen, vielen Dank vorab für eure Hilfe!
    Wenn Informationen fehlen, lasst es mich wissen.

    Liebe Grüße,
    Kuki


  • 1
  • 0 x
    8 Beiträge
    0 Hilfreiche Beiträge
    01. 04. 2021, 08:31

    Moin. Ja, da müsste dann wohl der Pfad zu deinem TYPO3-Verzeichnis hin (da musst du auf deinem MAMP schauen, wo das liegt). Allerding smach ich schon seit Jahren TYPO3, und hab an der Stelle noch nie was angepasst.

    Du müsstest schauen, dass du das Install Tool zum Laufen kriegst. Dafür musst du dich wahrscheinlich mit den Grundlagen von TYPO3 vertraut machen.
    Allerdings ist 4.4 schon wirklich alt. TYPO3-Hoster bieten auch einen Umzugsservice an, aber ob die noch PHP 5 anbieten, glaub ich nicht. Das läuft gerade überall aus.

    Wenn du irgendwo noch weiterhin PHP 5 laufen lassen kannst, super. Ansonsten, gerade, wenn es keine besonders große Seite ist, ist die Frage, ob man nicht besser was neues einsetzt.

    https://jweiland.net/know-how/typo3-fehlersuche.html

  • 1